#if GTEST
#include <gtest/gtest.h>

#include "DifferentialDrive.h"
#include "DistanceSensor.h"
#include "Roboid.h"

TEST(Dummy, Foo) {
  Motor motorLeft = Motor();
  Motor motorRight = Motor();

  DistanceSensor sensorLeft = DistanceSensor();
  DistanceSensor sensorRight = DistanceSensor();

  Placement sensors[] = {Placement(&sensorLeft, -30),
                         Placement(&sensorRight, 30)};
  Perception *perception = new Perception(sensors);

  DifferentialDrive *propulsion =
      new DifferentialDrive(Placement(&motorLeft, Vector3::Left),
                            Placement(&motorRight, Vector3::Right));

  Roboid *roboid = new Roboid(perception, propulsion);
}
#endif
